package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class AlternateNumberOtp extends GenericItem
{
    public static final String MOBILENUMBER = "mobileNumber";
    public static final String OTPCOUNT = "otpCount";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return AlternateNumberOtp.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getMobileNumber(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "mobileNumber".intern());
    }
    
    public String getMobileNumber() {
        return this.getMobileNumber(this.getSession().getSessionContext());
    }
    
    public void setMobileNumber(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "mobileNumber".intern(), (Object)value);
    }
    
    public void setMobileNumber(final String value) {
        this.setMobileNumber(this.getSession().getSessionContext(), value);
    }
    
    public Integer getOtpCount(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "otpCount".intern());
    }
    
    public Integer getOtpCount() {
        return this.getOtpCount(this.getSession().getSessionContext());
    }
    
    public int getOtpCountAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getOtpCount(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getOtpCountAsPrimitive() {
        return this.getOtpCountAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setOtpCount(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "otpCount".intern(), (Object)value);
    }
    
    public void setOtpCount(final Integer value) {
        this.setOtpCount(this.getSession().getSessionContext(), value);
    }
    
    public void setOtpCount(final SessionContext ctx, final int value) {
        this.setOtpCount(ctx, Integer.valueOf(value));
    }
    
    public void setOtpCount(final int value) {
        this.setOtpCount(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("mobileNumber", Item.AttributeMode.INITIAL);
        tmp.put("otpCount", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
